# DateRangeEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [DateChanged](/api/wisej.web/editors/monthcalendar.md#datechanged) or [DateSelected](/api/wisej.web/editors/monthcalendar.md#dateselected) events of the [MonthCalendar](/api/wisej.web/editors/monthcalendar.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DateRangeEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DateRangeEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DateRangeEventArgs(start, end)

Initializes a new instance of the [DateRangeEventArgs](/api/wisej.web/editors/monthcalendar/wisej.web.daterangeeventargs.md) class.

| Name      | Type                                                              | Description                             |
| --------- | ----------------------------------------------------------------- | --------------------------------------- |
| **start** | [DateTime](https://docs.microsoft.com/dotnet/api/system.datetime) | The first date/time value in the range. |
| **end**   | [DateTime](https://docs.microsoft.com/dotnet/api/system.datetime) | The last date/time value in the range.  |

### ![](/files/hsR4ok3152WyAf8J2C1u) DateRangeEventArgs(range)

Initializes a new instance of the [DateRangeEventArgs](/api/wisej.web/editors/monthcalendar/wisej.web.daterangeeventargs.md) class.

| Name      | Type                                                                               | Description                                      |
| --------- | ---------------------------------------------------------------------------------- | ------------------------------------------------ |
| **range** | [SelectionRange](/api/wisej.web/editors/monthcalendar/wisej.web.selectionrange.md) | The first and last date/time value in the range. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) End

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Returns the last date/time value in the range that the user has selected.

### ![](/files/hsR4ok3152WyAf8J2C1u) Start

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Returns the first date/time value in the range that the user has selected.

## Used By

| Name                                                                                             | Description                                                                                                                                                                                                                                                |
| ------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DateRangeEventHandler](/api/wisej.web/editors/monthcalendar/wisej.web.daterangeeventhandler.md) | Represents the method that will handle the [DateChanged](/api/wisej.web/editors/monthcalendar.md#datechanged) or [DateSelected](/api/wisej.web/editors/monthcalendar.md#dateselected) event of a [MonthCalendar](/api/wisej.web/editors/monthcalendar.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/monthcalendar/wisej.web.daterangeeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
